Skip to content

Queue validation for CSV import

You call thislegacyreportui

POST
/v1/import/validation/{importDefinitionId}
curl --request POST \
--url https://api.zentail.com/v1/import/validation/example \
--header 'Authorization: Bearer <token>'

This creates a validation for the given import definition. It queues it to be run for the given CSV file. GET /import/validation/results can be used to check the progress and current results.

importDefinitionId
required
string

The import definition ID is an ID that is unique for every definition of a report type and consists of the import type, the integration ID if applicable, and the template ID if applicable. The three parts are joined by semicolons: <type>:<integration ID>:<template ID> (e.g. “TemplatelessProduct::”, “TemplatedProduct::35”, “FullProductData:4:”, “Kits::”)

Success

Media type*/*
object
import_validation_id
number
supplied_headers
Array<string>
actual_headers
Array<string>
first_10_rows
Array<Array<string>>

Bad Request

Media type*/*
object
errorCode
number
Example
400
errorMessages
Array<string>
referenceId
string format: uuid

Permission Denied

Media type*/*
object
errorCode
number
Example
403
errorMessages
Array<string>
referenceId
string format: uuid

Not Found

Media type*/*
object
errorCode
number
Example
404
errorMessages
Array<string>
referenceId
string format: uuid

Zentail Error

Media type*/*
object
errorCode
number
Example
500
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string

Zentail Error

Media type*/*
object
errorCode
number
Example
503
errorMessages
Array<string>
referenceId
string format: uuid

Sourcesnapshot of https://app.zentail.com/api/swagger, committed at spec/v1/zentail-api.json

Built0c509dd3

API changelog